//
//  SSTableViewCell.h
//  SSTableViewSample
//
//  Created by Sa-ryong Kang on 10/5/11.
//  Copyright 2011 SeedShock, Inc. All rights reserved.
//

#import <Foundation/Foundation.h>

@class SSTableViewCell;
@protocol SSTableViewCellAction;

typedef void (^ActionBlock)(UITableView *, SSTableViewCell*, NSIndexPath *);


@interface SSTableViewCell : NSObject

@property (copy) NSString *identifier;
@property (copy) NSString *text;
@property (copy) NSString *subtitle;
@property (assign) UITableViewCellStyle style;

@property (copy) ActionBlock block;

+ (SSTableViewCell *)cellWithText:(NSString *)text;
+ (SSTableViewCell *)cellWithText:(NSString *)text subtitle:(NSString *)subtitle style:(UITableViewCellStyle)style;

- (UITableViewCell *)generateCell;
- (void)updateCell:(UITableViewCell *)targetCell;

- (void)tableView:(UITableView *)tableView didSelectRowAtIndexPath:(NSIndexPath *)indexPath;

- (void)generateIdentifierBasedOn:(NSString *)baseIdentifier;

@end