//
//  SSTableViewSection.h
//  SSTableViewSample
//
//  Created by Sa-ryong Kang on 10/4/11.
//  Copyright 2011 SeedShock, Inc. All rights reserved.
//

#import <Foundation/Foundation.h>

@protocol SSTableViewSectionUpdateDelegate;
@class SSTableViewCell;

@interface SSTableViewSection : NSObject {
    NSMutableArray *cells;
}

@property (copy) NSString *identifier;
@property (copy) NSString *headerTitle;
@property (assign) id<SSTableViewSectionUpdateDelegate> delegate;

+ (SSTableViewSection *)sectionWithHeaderTitle:(NSString *)headerTitle;

- (void)addCell:(SSTableViewCell *)cell;
- (SSTableViewCell *)cellAtRow:(NSUInteger)index;
- (NSInteger)rowCount;

@end


@protocol SSTableViewSectionUpdateDelegate <NSObject>

- (void)updateSection:(NSUInteger)index;

@end