//
//  SSTableViewSection.m
//  SSTableViewSample
//
//  Created by Sa-ryong Kang on 10/4/11.
//  Copyright 2011 SeedShock, Inc. All rights reserved.
//

#import "SSTableViewSection.h"
#import "SSTableViewCell.h"

@implementation SSTableViewSection

@synthesize identifier;
@synthesize headerTitle = _headerTitle;
@synthesize delegate = _delegate;

+ (SSTableViewSection *)sectionWithHeaderTitle:(NSString *)headerTitle
{
    SSTableViewSection *newSection = [[[SSTableViewSection alloc] init] autorelease];
    if (newSection) {
        newSection.headerTitle = headerTitle;
    }
    return newSection;
}

- (id)init
{
    self = [super init];
    if (self) {
        cells = [[NSMutableArray alloc] init];
    }
    
    return self;
}

- (void)dealloc
{
    [identifier release];
    [_headerTitle release];
    
    [super dealloc];
}

- (void)addCell:(SSTableViewCell *)cell
{
    [cell generateIdentifierBasedOn:self.identifier];
    [cells addObject:cell];
    [self.delegate updateSection:[cells count] - 1];
}

- (SSTableViewCell *)cellAtRow:(NSUInteger)index
{
    return [cells objectAtIndex:index];
}

- (NSInteger)rowCount
{
    return [cells count];
}

@end
